<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDevicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('devices', function (Blueprint $table) {
            $table->id();
            $table->integer('supply_id')->comment('tên nhà cung cấp')->unsigned();
            $table->integer('category_id')->comment('tên danh mục');
            $table->string('input_day', 20)->comment('ngày nhập kho');
            $table->float('price',12, 2)->default('0')->comment('giá sản phẩm');
            $table->string('device', 100)->comment('tên sản phẩm');
            $table->text('status')->comment('tình trạng của sản phẩm');
            $table->text('image')->comment('hình ảnh sản phẩm');
            $table->integer('discout')->comment('chiết khấu');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('devices');
    }
}
